org.apache.commons:commons-text vulnerabilities

Apache Commons Text is a library focused on algorithms working on strings.

Direct Vulnerabilities

Known vulnerabilities in the org.apache.commons:commons-text package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • H
Arbitrary Code Execution

[1.5,1.10.0)

Package versions

1 - 12 of 12 Results
version published direct vulnerabilities
1.10.0 24 Sep, 2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.9 21 Jul, 2020
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
1.8 30 Aug, 2019
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
1.7 30 Jun, 2019
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
1.6 13 Oct, 2018
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
1.5 1 Oct, 2018
  • 0
    C
  • 1
    H
  • 0
    M
  • 0
    L
1.4 9 Jun, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.3 16 Mar, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.2 9 Dec, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1 19 May, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.0 6 Mar, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.0-beta-1 30 Jan, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L